FILE_READ_DATA equ 1h
FILE_WRITE_DATA equ 2h
FILE_APPEND_DATA equ 4h

GMEM_ZEROINIT equ 40h
GENERIC_WRITE equ 40000000h
GMEM_MOVEABLE equ 2h
OPEN_ALWAYS equ 4
FILE_SHARE_READ equ 1h

STANDARD_RIGHTS_REQUIRED equ 0F0000h
READ_CONTROL equ 20000h
SYNCHRONIZE equ 100000h
CW_USEDEFAULT equ 80000000h
WS_OVERLAPPED equ 0h
WS_CAPTION equ 0C00000h
WS_SYSMENU equ 80000h
WS_THICKFRAME equ 40000h
WS_MINIMIZEBOX equ 20000h
WS_MAXIMIZEBOX equ 10000h
WS_OVERLAPPEDWINDOW equ WS_OVERLAPPED|WS_CAPTION|WS_SYSMENU|WS_THICKFRAME|WS_MINIMIZEBOX|WS_MAXIMIZEBOX
WS_NORESIZABLEWINDOW equ WS_OVERLAPPED|WS_CAPTION|WS_SYSMENU

STANDARD_RIGHTS_READ equ READ_CONTROL
STANDARD_RIGHTS_WRITE equ READ_CONTROL

INVALID_HANDLE_VALUE equ -1

FILE_BEGIN equ 0
FILE_CURRENT equ 1
FILE_END equ 2
FILE_ATTRIBUTE_NORMAL equ 80h
FILE_READ_EA equ 8h
FILE_READ_PROPERTIES equ FILE_READ_EA
FILE_WRITE_EA equ 10h
FILE_WRITE_PROPERTIES equ FILE_WRITE_EA
FILE_READ_ATTRIBUTES equ 80h
FILE_WRITE_ATTRIBUTES equ 100h
FILE_ALL_ACCESS equ STANDARD_RIGHTS_REQUIRED|SYNCHRONIZE|1FFh
FILE_GENERIC_READ equ STANDARD_RIGHTS_READ|FILE_READ_DATA|FILE_READ_ATTRIBUTES|FILE_READ_EA|SYNCHRONIZE
FILE_GENERIC_WRITE equ STANDARD_RIGHTS_WRITE|FILE_WRITE_DATA|FILE_WRITE_ATTRIBUTES|FILE_WRITE_EA|FILE_APPEND_DATA|SYNCHRONIZE

GENERIC_READ equ 80000000h
CS_VREDRAW equ 1h
CS_HREDRAW equ 2h
COLOR_WINDOW equ 5

SW_SHOWNORMAL equ 1
WM_DESTROY equ 2h
WM_PAINT equ 0Fh
DEFAULT_PITCH equ 0
FF_SCRIPT equ 64
DEFAULT_QUALITY equ 0
CLIP_DEFAULT_PRECIS equ 0
OUT_DEFAULT_PRECIS equ 0
OEM_CHARSET equ 255
FW_NORMAL equ 400


MB_OK equ 0h
MB_OKCANCEL equ 1h
MB_ABORTRETRYIGNORE equ 2h
MB_YESNOCANCEL equ 3h
MB_YESNO equ 4h
MB_RETRYCANCEL equ 5h
MB_ICONHAND equ 10h
MB_ICONQUESTION equ 20h
MB_ICONEXCLAMATION equ 30h
MB_ICONASTERISK equ 40h
MB_ICONERROR equ MB_ICONHAND
MB_ICONINFORMATION equ MB_ICONASTERISK
MB_ICONSTOP equ MB_ICONHAND
MB_ICONWARNING equ MB_ICONEXCLAMATION
MB_DEFBUTTON1 equ 0h
MB_DEFBUTTON2 equ 100h
MB_DEFBUTTON3 equ 200h

STRUC RECT
.left RESD 1
.top RESD 1
.right RESD 1
.bottom RESD 1
ENDSTRUC

STRUC WNDCLASSEX
.cbSize RESD 1
.style RESD 1
.lpfnWndProc RESD 1
.cbClsExtra RESD 1
.cbWndExtra RESD 1
.hInstance RESD 1
.hIcon RESD 1
.hCursor RESD 1
.hbrBackground RESD 1
.lpszMenuName RESD 1
.lpszClassName RESD 1
.hIconSm RESD 1
ENDSTRUC

STRUC PAINTSTRUCT
.hdc RESD 1
.fErase RESD 1
.rcPaint RESB RECT_size
.fRestore RESD 1
.fIncUpdate RESD 1
.rgbReserved RESB 32 
ENDSTRUC
